summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim-Philipp Müller <tim@centricular.com>2015-04-03 18:57:50 +0100
committerTim-Philipp Müller <tim@centricular.com>2015-04-03 18:57:50 +0100
commita33d2bf0920e07ad85b21f678f04e12e860cb382 (patch)
treefaa96e28a7fbc7e9e3785f894a06b53c71338c33
parentffa5fce0946000fd3ea4eb86a297d7a759e27931 (diff)
Automatic update of common submodule
From bc76a8b to c8fb372
-rwxr-xr-xautogen.sh26
m---------common0
2 files changed, 3 insertions, 23 deletions
diff --git a/autogen.sh b/autogen.sh
index 632b0253b..01d3fdab9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -57,24 +57,13 @@ autogen_options $@
printf "+ check for build tools"
if test ! -z "$NOCHECK"; then echo ": skipped version checks"; else echo; fi
-version_check "autoconf" "$AUTOCONF autoconf autoconf270 autoconf269 autoconf268 " \
+version_check "autoreconf" "autoreconf " \
"ftp://ftp.gnu.org/pub/gnu/autoconf/" 2 68 || DIE=1
-version_check "automake" "$AUTOMAKE automake automake-1.11" \
- "ftp://ftp.gnu.org/pub/gnu/automake/" 1 11 || DIE=1
-version_check "autopoint" "autopoint" \
- "ftp://ftp.gnu.org/pub/gnu/gettext/" 0 17 || DIE=1
-version_check "libtoolize" "$LIBTOOLIZE libtoolize glibtoolize" \
- "ftp://ftp.gnu.org/pub/gnu/libtool/" 2 2 6 || DIE=1
version_check "pkg-config" "" \
"http://www.freedesktop.org/software/pkgconfig" 0 8 0 || DIE=1
die_check $DIE
-aclocal_check || DIE=1
-autoheader_check || DIE=1
-
-die_check $DIE
-
# if no arguments specified then this will be printed
if test -z "$*" && test -z "$NOCONFIGURE"; then
echo "+ checking for autogen.sh options"
@@ -88,22 +77,13 @@ toplevel_check $srcfile
# autopoint
if test -d po ; then
- tool_run "$autopoint" "--force"
+ tool_run "autopoint" "--force"
fi
# aclocal
if test -f acinclude.m4; then rm acinclude.m4; fi
-tool_run "$libtoolize" "--copy --force"
-tool_run "$aclocal" "-I m4 -I common/m4 $ACLOCAL_FLAGS"
-tool_run "$autoheader"
-
-# touch the stamp-h.in build stamp so we don't re-run autoheader in maintainer mode
-echo timestamp > stamp-h.in 2> /dev/null
-
-tool_run "$autoconf"
-debug "automake: $automake"
-tool_run "$automake" "--add-missing --copy"
+autoreconf --force --install || exit 1
test -n "$NOCONFIGURE" && {
echo "+ skipping configure stage for package $package, as requested."
diff --git a/common b/common
-Subproject bc76a8b6a2db1cc0605158e672b2d420b4e130d
+Subproject c8fb372b4c58158d6cb4e309650eb7bc369f882